
**1.描述性统计
use data,clear
logout,save(statistic) excel  dec(4) replace: ///
tabstat  TEAEXPST idi1 ln_gdp traderate ln_ifdif gsp tb1 gpr bseet pseet inf interd intero psint cs gender age hhsize suskill opport fearfail incomelevel GEMEDUC,  ///
	   s(n mean sd min max) format(%6.4f) column(statis)   
**2.方差膨胀因子检验
quietly reg TEAEXPST idi1  ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age hhsize suskill opport fearfail incomelevel GEMEDUC
logout,save (var_vif) excel replace: vif  


**3.基准回归
use data,clear
reghdfe idi1 elcpc,absorb(id year) vce(robust)
ivprobit TEAEXPST i.year i.id (idi1=elcpc), vce(robust)


reghdfe idi1 elcpc ln_gdp traderate ln_ifdif gsp tb1 gpr bseet pseet inf interd intero psint cs,absorb(id year) vce(robust)
ivprobit TEAEXPST ln_gdp traderate ln_ifdif gsp tb1 gpr bseet pseet inf interd intero psint cs i.year i.id (idi1=elcpc), vce(robust)


reghdfe idi1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)


reghdfe acc1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (acc1=elcpc), vce(robust)


reghdfe use1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (use1=elcpc), vce(robust)


reghdfe ski1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (ski1=elcpc), vce(robust)
//weakiv //进行AR检验时，执行此命令。AR检验需满足同方差假设，故执行AR检验时需将上一行命令的vce(robust)命令删掉后执行weakiv命令，下同。

******************************内生性处理**********************************************
use data,clear

reghdfe idi1 ivshare1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe acc1 ivshare1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe use1 ivshare1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe ski1 ivshare1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=ivshare1), vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (acc1=ivshare1), vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (use1=ivshare1), vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (ski1=ivshare1), vce(robust)

center ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC, prefix(z_)
sum ivshare1
g mean_IV1=r(mean)
reg idi1 ivshare1 z_ln_gdp-z_GEMEDUC
predict e, res
g lewbel=(ivshare1-mean_IV1)*e


reghdfe idi1 lewbel ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe acc1 lewbel ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe use1 lewbel ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

reghdfe ski1 lewbel ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST z_ln_gdp-z_GEMEDUC i.id i.year (idi1=lewbel),vce(robust)
ivprobit TEAEXPST z_ln_gdp-z_GEMEDUC i.id i.year (acc1=lewbel),vce(robust)
ivprobit TEAEXPST z_ln_gdp-z_GEMEDUC i.id i.year (use1=lewbel),vce(robust)
ivprobit TEAEXPST z_ln_gdp-z_GEMEDUC i.id i.year (ski1=lewbel),vce(robust)


*******************************稳健性检验***************************************
use data,clear

***宏观国际创业数据
reghdfe idi1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs, absorb(id year) vce(robust) 
ivreghdfe intea (idi1=elcpc) ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs, absorb(id year) r 


***原版idi
reghdfe idi elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)
ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi=elcpc), vce(robust)

***主成分分析法
reghdfe idi2 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)
ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi2=elcpc), vce(robust)


***熵权法
reghdfe idi3 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)
ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi3=elcpc), vce(robust)


***缩尾处理
use data,clear
winsor2 TEAEXPST idi1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC, replace cuts(1 99) trim

reghdfe idi1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)

ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)

****限制年龄
use data,clear
drop if age<18 | age>64
reghdfe idi1 elcpc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC,absorb(id year) vce(robust)
ivprobit TEAEXPST ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)


***更换回归方法
use data, clear
probit TEAEXPST idi1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id , vce(robust)

logit TEAEXPST idi1 ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,r nolog




**************************机制检验
use data,clear

*产品创新
ivprobit TEANEWPR ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)

ivprobit TEAEXPST TEANEWPR ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)


*社会资本
ivprobit knowent ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)

ivprobit TEAEXPST knowent ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)


*信贷约束
ivreghdfe zw (idi1=elcpc) ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs, absorb(id year)

ivprobit TEAEXPST zw ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc), vce(robust)



************************进一步回归
use data,clear
g jhtype=countrytype*idi1
g nn=idi1*gender
g ingroup=idi1*inc
g vc=idi1*fearfail
g jhopp=idi1*opport
g jhskil=idi1*suskil

*国家异质性
ivprobit TEAEXPST jhtype countrytype ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id (idi1=elcpc) , vce(robust)

*性别异质性
ivprobit TEAEXPST (idi1=elcpc) nn ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,vce(robust)

*收入异质性
ivprobit TEAEXPST (idi1=elcpc) ingroup ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,vce(robust)

*风险规避异质性
ivprobit TEAEXPST (idi1=elcpc) vc ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,vce(robust)

*机会感知异质性
ivprobit TEAEXPST (idi1=elcpc) jhopp ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,vce(robust)

*创业技能异质性
ivprobit TEAEXPST (idi1=elcpc) jhskil ln_gdp traderate ln_ifdif  gsp tb1 gpr bseet pseet inf interd intero psint cs gender age age2 hhsize suskill opport fearfail incomelevel GEMEDUC i.year i.id,vce(robust)



